module.exports = function(program, ksr, isDev) {
  return {
    resolve: {
      extensions: [".ts", ".tsx"]
    },
    module: {
      rules: [
        {
          test: /\.tsx?$/,
          exclude: [/node_modules/, /bower_components/],
          use: [
            {
              loader: "ts-loader",
              options: {
                appendTsSuffixTo: [/\.vue$/]
              }
            }
          ]
        }
      ]
    }
  };
};
